<?php
/**
 * The template for displaying featured posts on the front page
 *
 * @package EngoTheme
 * @subpackage hasarahouse
 * @since hasarahouse 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-content-wrapper">

		<div class="row">
			<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
				<div class="post-sub-content">
					<?php if ( !empty(has_post_thumbnail() )) : ?>
					<div class="entry-date">
						<?php echo get_the_date(); ?>
					</div>
					<?php endif; ?>
					<footer class="clearfix">
						<div class="entry-category pull-left">
							<?php esc_html_e('in', 'hasarahouse'); the_category(); ?>
						</div>
						<span class="meta-sep pull-left"> | </span>
						<div class="entry-comment pull-left">
							<ul class="list-inline">
								<li class="comment-count">
									<?php comments_popup_link(esc_html__(' 0 ', 'hasarahouse'), esc_html__(' 1 ', 'hasarahouse'), esc_html__(' % ', 'hasarahouse')); ?>
								</li>
								<li><?php esc_html_e('Comments', 'hasarahouse'); ?></li>
							</ul>
						</div>
					</footer>
				</div>
			</div>

			<div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
				<?php if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && hasarahouse_fnc_categorized_blog() ) : ?>
				<?php
					endif;

					if ( is_single() ) :
						the_title( '<h1 class="entry-title">', '</h1>' );
					else :
						the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
					endif;
				?>
			</div>

		</div>
		
	</header><!-- .entry-header -->

	<div class="post-preview">
		<?php hasarahouse_fnc_post_thumbnail(); ?>
	</div>		
	

	<div class="entry-content">
		<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				wp_kses_post( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'hasarahouse' ) ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'hasarahouse' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<div class="clearfix">
			<?php the_tags( '<div class="pull-left"><span class="tag-links">', '', '</span></div>' ); ?>
			<div class="pull-right">
				<?php
					if ( hasarahouse_fnc_theme_options( 'blog-show-share-post', 1 ) ) {
						get_template_part( 'page-templates/parts/sharebox' );
					}
				?>
			</div>
		</div>		
	</footer>

	
</article><!-- #post-## -->
