<?php
/**
 * The template for displaying posts in the Gallery post format
 *
 * @package EngoTheme
 * @subpackage hasarahouse
 * @since hasarahouse 1.0
 */

$galleries = hasarahouse_fnc_get_post_galleries();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-preview">
		<?php if( $galleries ): ?>
		<div id="post-slide-<?php the_ID(); ?>" class="owl-carousel-play" data-ride="carousel">
			<div class="owl-carousel" data-slide="1"  data-singleItem="true" data-navigation="true" data-pagination="false">
				<?php foreach ($galleries as $key => $_img) {
					echo '<img src="'.esc_url_raw( $_img ).'" alt="'.esc_attr(get_bloginfo('name', 'display')).'">';
				} ?>
			</div>
			<a class="left carousel-control style-3" data-slide="prev" href="#post-slide-<?php the_ID(); ?>">
				<span class="fa fa-angle-left"></span>
			</a>
			<a class="right carousel-control style-3" data-slide="next" href="#post-slide-<?php the_ID(); ?>">
				<span class="fa fa-angle-right"></span>
			</a>
		</div>
		<?php else : ?>	
		<?php hasarahouse_fnc_post_thumbnail(); ?>
		<?php endif; ?>
		
		<span class="post-format hide">
			<a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><i class="fa fa-th-large"></i></a>
		</span>
		
		<?php if ( !empty(has_post_thumbnail() )) : ?>
		<div class="post-time">
			<div class="entry-date text-primary">
              <?php echo get_the_date(); ?>
            </div>
		</div>
		<?php endif; ?>
	</div>
	
	<div class="entry-content-wrapper">
		<?php if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && hasarahouse_fnc_categorized_blog() ) : ?>
			<?php
			endif;

			if ( is_single() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
			endif;
		?>
		
		<div class="post-sub-content">        	
            <span class="entry-author">
                <?php esc_html_e('By: ', 'hasarahouse'); the_author_posts_link(); ?>
            </span>
            <div class="entry-comment">                
                <ul class="list-inline">
                    <li><?php esc_html_e('Comments:', 'hasarahouse'); ?></li>
                    <li class="comment-count">
                        <?php comments_popup_link(esc_html__(' 0 ', 'hasarahouse'), esc_html__(' 1 ', 'hasarahouse'), esc_html__(' % ', 'hasarahouse')); ?>
                    </li>
                </ul>
            </div>
		</div> 	
	</div>
	
<?php if( is_single() ): ?>

	<div class="entry-content clearfix">
		<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				wp_kses_post( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'hasarahouse' ) ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'hasarahouse' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
	</div><!-- .entry-content -->

		<footer class="entry-footer clearfix">
			<?php the_tags( '<div class="tags-container"><span class="tag-links">', '', '</span></div><hr>' ); ?>

			<div class="share-container">
				<?php 
					if( hasarahouse_fnc_theme_options('blog-show-share-post', true) && function_exists('pbr_themer_get_template_part') ){
						pbr_themer_get_template_part( 'sharebox' );
					} 
				?>
			</div>		
		</footer>

	<?php else : ?>
		<div class="entry-content"> <?php the_excerpt();?> </div>
	<?php endif ; ?>

</article><!-- #post-## -->
