<?php


if( defined("WPOPAL_CAPTCHA_LOAED") ){
    add_action( 'pbrthemer_quick_register_after', array('OpalEstate_Nocaptcha_Recaptcha','show_captcha') , 99 );
    add_action( 'pbrthemer_quick_register_process_before', array( "OpalEstate_Nocaptcha_Recaptcha" ,'ajax_verify_captcha'), 99 );
}

function hasarahouse_fnc_single_layout_templates( $layout ){
    $layout['v2'] = esc_html__( 'Vesion 2', 'hasarahouse' );
    $layout['v3'] = esc_html__( 'Vesion 3', 'hasarahouse' );
    return $layout;
}
add_filter( 'opalestate_single_layout_templates', 'hasarahouse_fnc_single_layout_templates' );
 

function hasarahouse_fnc_get_template_link_by_file( $file ){
    $pages = get_pages(array(
        'meta_key' => '_wp_page_template',
        'meta_value' => $file
    ));

    if( $pages ){
        $pageLink = get_permalink( $pages[0]->ID);
    }else{
        $pageLink = home_url();
    }
    return $pageLink;
}

/**
 * Hook to account menu which displaying in Top Right.
 */

add_action('opal_account_dropdown_content', 'opalestate_management_user_menu');
/**
 * Hook Layout
 */
function hasarahouse_fnc_get_single_property_sidebar_configs( $configs='' ){

	$left  =  hasarahouse_fnc_theme_options( 'opalestate-single-left-sidebar' ); 

	$right =  hasarahouse_fnc_theme_options( 'opalestate-single-right-sidebar' );

	return hasarahouse_fnc_get_layout_configs( $left, $right );
}

add_filter( 'hasarahouse_fnc_get_single_property_sidebar_configs', 'hasarahouse_fnc_get_single_property_sidebar_configs', 1, 1 );

function hasarahouse_fnc_get_archive_property_sidebar_configs( $configs='' ){

	$left  =  hasarahouse_fnc_theme_options( 'opalestate-archive-left-sidebar' ); 

	$right =  hasarahouse_fnc_theme_options( 'opalestate-archive-right-sidebar' );

	return hasarahouse_fnc_get_layout_configs( $left, $right );
}

add_filter( 'hasarahouse_fnc_get_archive_property_sidebar_configs', 'hasarahouse_fnc_get_archive_property_sidebar_configs', 1, 1 );

function hasarahouse_fnc_add_social_share(){
    get_template_part( 'page-templates/parts/sharebox' );
}
add_action( 'opalestate_single_content_bottom',  'hasarahouse_fnc_add_social_share', 9999  );
add_action( 'opalestate_single_agent_content_bottom',  'hasarahouse_fnc_add_social_share', 9999  );
add_action( 'opalestate_single_office_content_bottom',  'hasarahouse_fnc_add_social_share', 9999  );

if( class_exists("WPBakeryShortCode") ){


    add_action( 'init', 'hasarahouse_fnc_visualcomposer_opalestate' );

    function hasarahouse_fnc_visualcomposer_opalestate(){

        vc_map( array(
            "name" => __("Full Slider Property", 'hasarahouse'),
            "base" => "pbr_estate_slider_property",
            'icon' => 'icon-wpb-estates-10',
            "class" => "",
            "description" => 'Get data from post type Team',
            "category" => __('OpalEstate', 'hasarahouse'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => __("Title", 'hasarahouse'),
                    "param_name" => "title",
                    "value" => '',
                    "admin_label" => true
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("description", 'hasarahouse'),
                    "param_name" => "description",
                    "value" => '',
                    'description' =>  ''
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Limit", 'hasarahouse'),
                    "param_name" => "limit",
                    "value" => 6,
                    'description' =>  __('Limit properties showing', 'hasarahouse')
                ),
                array(
                    "type" => "dropdown",
                    'heading' => esc_html__( 'Style', 'hasarahouse' ),
                    "param_name" => "style",
                    "value" => array(
                        esc_html__('Default', 'hasarahouse') => 'default',
                        esc_html__('Style 2', 'hasarahouse') => 'style-2'
                    )
                ),
            )
        ));

        vc_map( array(
            "name" => __("Quick Search", 'hasarahouse'),
            "base" => "pbr_estate_quick_search",
            'icon' => 'icon-wpb-estates-10',
            "class" => "",
            "description" => 'Show form search properties',
            "category" => __('OpalEstate', 'hasarahouse'),
            "params" => array(
                array(
                    'type'        => 'dropdown',
                    'heading'     => __('Search by', 'hasarahouse'),
                    'param_name'  => 'search_by',
                    'value'       => array(
                        esc_html__('Status', 'hasarahouse')   => 'status',
                        esc_html__('Location', 'hasarahouse') => 'location',
                    ),
                    'std'         => 'status',
                    'save_always' => true,
                ),
                array(
                    "type"        => "textfield",
                    "heading"     => esc_html__("Placeholder", 'hasarahouse'),
                    "param_name"  => "placeholder",
                    "value"       => 'What are you looking for?',
                ),
            )
        ));
        
        vc_map( array(
            "name" => __("Agent Carousel", 'hasarahouse'),
            "base" => "pbr_estate_slider_agent",
            'icon' => 'icon-wpb-estates-10',
            "class" => "",
            "description" => 'Show carousel for list agent',
            "category" => __('OpalEstate', 'hasarahouse'),
            "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "hasarahouse"),
                "param_name" => "title",
                "value" => '',
                "admin_label" => true
            ),
            array(
                "type" => "textarea",
                "heading" => __("description", "hasarahouse"),
                "param_name" => "desc",
                "value" => '',
                'description' =>  ''
            ),
            array(
                "type" => "textfield",
                "heading" => __("Column", "hasarahouse"),
                "param_name" => "column",
                "value" => '4',
                'description' =>  ''
            ),
            array(
                "type" => "textfield",
                "heading" => __("Limit", "hasarahouse"),
                "param_name" => "limit",
                "value" => 6,
                'description' =>  __('Limit featured agents showing', 'hasarahouse')
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => __('Style Layout', 'hasarahouse'),
                'param_name'  => 'style',
                'value'       => array(
                    esc_html__('Carousel', 'hasarahouse')   => 'Carousel',
                    esc_html__('Grid', 'hasarahouse') => 'Grid',
                ),
                'std'         => 'Carousel',
                'save_always' => true,
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => __('Style Carousel', 'hasarahouse'),
                'param_name'  => 'style_carousel',
                'value'       => array(
                    esc_html__('style carousel 1', 'hasarahouse')   => 'style_carousel_1',
                    esc_html__('style carousel 2', 'hasarahouse') => 'style_carousel_2',
                ),
                'std'         => 'Carousel',
                'save_always' => true,
            ),
            array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'hasarahouse'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
                ),
            array(
                "type" => "checkbox",
                "heading" => __("Show Featured Only", "hasarahouse"),
                "param_name" => "onlyfeatured"
            ),
        )
        ));
    }
    class WPBakeryShortCode_Pbr_estate_slider_agent  extends WPBakeryShortCode {}
    class WPBakeryShortCode_Pbr_estate_quick_search  extends WPBakeryShortCode {}
    class WPBakeryShortCode_Pbr_estate_slider_property  extends WPBakeryShortCode {}
}

function hasarahouse_fnc_render_contact_agent_form($post_id){
    $post = get_post($post_id);
    $agent_id  = get_user_meta( $post->post_author, OPALESTATE_USER_PROFILE_PREFIX . 'agent_id', true );
    $message =  sprintf( __('Your message', 'hasarahouse'), get_the_title() , get_the_ID() );
    $contact_id = (int)Opalestate_Query::get_agent_by_property( $post_id );
    $contact_id = $contact_id ? $contact_id  : $agent_id;
    $data        =  get_userdata( $post->post_author ); 
    
    if( $contact_id ):  
        $email       = get_post_meta( $contact_id, OPALESTATE_AGENT_PREFIX . 'email', true );
        
        $args   = array( 
            'post_id'   => get_the_ID(),
            'id'        => $contact_id, 
            'email'     => $email,
            'message'   => $message, 
            'type'      => 'agent'
        );

        $form        = apply_filters( 'opalestate_render_contact_form', Opalestate_Template_Loader::get_template_part( 'parts/contact-form', $args ), $args );
        $heading     = __( 'Contact Agent', 'hasarahouse' ); 
        $author_info =  OpalEstate_Agent::render_box_info( $contact_id  );
    else :  
        $email       = get_user_meta( $post->post_author, OPALESTATE_USER_PROFILE_PREFIX . 'email', true );  
        
        $email       = $email ? $email : $data->data->user_email;
        
        $args   = array( 
            'post_id'   => get_the_ID(),
            'id'        => $post->post_author, 
            'email'     => $email,
            'message'   => $message, 
            'type'      => 'user'
        );

        $heading     = _e( 'Contact Author', 'hasarahouse' ); 
        $author_info = Opalestate_Template_Loader::get_template_part( 'parts/author-box', array('author' => $data , 'hide_description' => true ) );
        $form        = apply_filters( 'opalestate_render_contact_form', Opalestate_Template_Loader::get_template_part( 'parts/contact-form', $args ), $args );
    endif; ?>

    <div class="opalestate-box property-agent-section">
        <h3><?php echo esc_html( $heading ); ?></h3>

        <div class="property-agent-contact">
            <?php echo trim( $form ); ?> 
        </div>
    </div> 
<?php 
}

function hasarahouse_fnc_get_all_photo_property(){ ?>

<div class="property-preview">
    <?php
    global $property;
    $total = 0;
    $galleries = $property->getGallery();
    $image_size = opalestate_get_option( 'opalestate_thumbnail_size' );
    if ( !empty($galleries[0]) && isset( $galleries[0]) ): 
        $total = count($galleries[0]);
        if(has_post_thumbnail()){
            $total = $total +1;
        }
    ?>
    <h3 class="box-heading"><?php esc_html_e('View all photos', 'hasarahouse'). '('. esc_attr($total) .')';?></h3>
    <div class="owl-carousel-play" data-ride="carousel">
        <div class="owl-carousel-wrapper">
            <div class="owl-carousel" data-slide="1"  data-singleItem="true" data-pagination="true">

                <?php if ( has_post_thumbnail() ): ?>
                    <?php the_post_thumbnail( opalestate_get_option('featured_image_size','full')  ); ?>
                <?php endif; ?>

                <?php if( isset($galleries[0]) && is_array($galleries[0]) ): ?>
                    <?php foreach ($galleries[0] as $src): ?>
                        <img src="<?php echo esc_attr($src); ?>" alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>">
                    <?php endforeach; ?>
                <?php endif; ?>
                
            </div>

        </div>
        
    </div>
    <?php else : ?>
        <?php if ( has_post_thumbnail() ): $total = $total +1; ?>
            <h3 class="box-heading"><?php esc_html_e('View all photos', 'hasarahouse'). '('. esc_attr($total) .')';?></h3>
            <div class="property-thumbnail">
                <?php the_post_thumbnail( 'full' ); ?>
            </div>  
        <?php endif; ?>
    <?php endif; ?>
</div>
<?php    
}
