<?php 

class Hasarahouse_VC_Elements implements Vc_Vendor_Interface {

	public function load(){ 
		
		/*********************************************************************************************************************
		 *  Our Service
		 *********************************************************************************************************************/
		vc_map( array(
		    "name" => esc_html__("PBR Featured Box",'hasarahouse'),
		    "base" => "pbr_featuredbox",
			'icon' => 'icon-wpb-widgets-8',
		    "description"=> esc_html__('Decreale Service Info', 'hasarahouse'),
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',    "admin_label" => true,
				),
				array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Title Color', 'hasarahouse' ),
				    'param_name' => 'title_color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' )
				),

		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Sub Title", 'hasarahouse'),
					"param_name" => "subtitle",
					"value" => '',
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'hasarahouse'),
					"param_name" => "style",
					'value' 	=> array(
						esc_html__('Default', 'hasarahouse') => '', 
						esc_html__('Version 1', 'hasarahouse') => 'v1', 
						esc_html__('Version 2', 'hasarahouse') => 'v2', 
						esc_html__('Version 3', 'hasarahouse' )=> 'v3',
						esc_html__('Version 4', 'hasarahouse') => 'v4'
					),
					'std' => ''
				),

				array(
					'type'                           => 'dropdown',
					'heading'                        => esc_html__( 'Title Alignment', 'hasarahouse' ),
					'param_name'                     => 'title_align',
					'value'                          => array(
					esc_html__( 'Align left', 'hasarahouse' )   => 'separator_align_left',
					esc_html__( 'Align center', 'hasarahouse' ) => 'separator_align_center',
					esc_html__( 'Align right', 'hasarahouse' )  => 'separator_align_right'
					),
					'std' => 'separator_align_left'
				),

			 	array(
					"type" => "textfield",
					"heading" => esc_html__("FontAwsome Icon", 'hasarahouse'),
					"param_name" => "icon",
					"value" => 'fa fa-gear',
					'description'	=> esc_html__( 'This support display icon from FontAwsome, Please click', 'hasarahouse' )
									. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fortawesome.github.io/Font-Awesome/" target="_blank">'
									. esc_html__( 'here to see the list', 'hasarahouse' ) . '</a>'
				),
				array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Icon Color', 'hasarahouse' ),
				    'param_name' => 'color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' )
				),	
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Background Icon', 'hasarahouse' ),
					'param_name' => 'background',
					'value' => array(
						esc_html__( 'None', 'hasarahouse' ) => 'nostyle',
						esc_html__( 'Success', 'hasarahouse' ) => 'bg-success',
						esc_html__( 'Info', 'hasarahouse' ) => 'bg-info',
						esc_html__( 'Danger', 'hasarahouse' ) => 'bg-danger',
						esc_html__( 'Warning', 'hasarahouse' ) => 'bg-warning',
						esc_html__( 'Light', 'hasarahouse' ) => 'bg-default',
					),
					'std' => 'nostyle',
				),

				array(
					"type" => "attach_image",
					"heading" => esc_html__("Photo", 'hasarahouse'),
					"param_name" => "photo",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("information", 'hasarahouse'),
					"param_name" => "information",
					'description'	=> esc_html__('Allow  put html tags', 'hasarahouse')
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));
		 
	   	/*********************************************************************************************************************
		 * Pricing Table
		 *********************************************************************************************************************/
		vc_map( array(
		    "name" => esc_html__("PBR Pricing",'hasarahouse'),
		    "base" => "pbr_pricing",
		    'icon' => 'icon-wpb-widgets-9',
		    "description" => esc_html__('Make Plan for membership', 'hasarahouse' ),
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',
						"admin_label" => true
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Price", 'hasarahouse'),
					"param_name" => "price",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Currency", 'hasarahouse'),
					"param_name" => "currency",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Period", 'hasarahouse'),
					"param_name" => "period",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Subtitle", 'hasarahouse'),
					"param_name" => "subtitle",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Is Featured", 'hasarahouse'),
					"param_name" => "featured",
					'value' 	=> array(  esc_html__('No', 'hasarahouse') => 0,  esc_html__('Yes', 'hasarahouse') => 1 ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Skin", 'hasarahouse'),
					"param_name" => "skin",
					'value' 	=> array(  esc_html__('Skin 1', 'hasarahouse') => 'v1',  esc_html__('Skin 2', 'hasarahouse') => 'v2', esc_html__('Skin 3', 'hasarahouse') => 'v3' ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Box Style", 'hasarahouse'),
					"param_name" => "style",
					'value' 	=> array( 'boxed' => esc_html__('Boxed', 'hasarahouse')),
				),

				array(
					"type" => "textarea_html",
					"heading" => esc_html__("Content", 'hasarahouse'),
					"param_name" => "content",
					"value" => '',
					'description'	=> esc_html__('Allow  put html tags', 'hasarahouse')
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Link Title", 'hasarahouse'),
					"param_name" => "linktitle",
					"value" => 'SignUp',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Link", 'hasarahouse'),
					"param_name" => "link",
					"value" => 'http://yourdomain.com',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));
 		

 		/*********************************************************************************************************************
		 *  PBR Counter
		 *********************************************************************************************************************/
		vc_map( array(
		    "name" => esc_html__("PBR Counter",'hasarahouse'),
		    "base" => "pbr_counter",
		    'icon' => 'icon-wpb-widgets-10',
		    "class" => "",
		    "description"=> esc_html__('Counting number with your term', 'hasarahouse'),
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',
					"admin_label"	=> true
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__("Description", 'hasarahouse'),
					"param_name" => "description",
					"value" => '',
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Number", 'hasarahouse'),
					"param_name" => "number",
					"value" => ''
				),

			 	array(
					"type" => "textfield",
					"heading" => esc_html__("FontAwsome Icon", 'hasarahouse'),
					"param_name" => "icon",
					"value" => '',
					'description'	=> esc_html__( 'This support display icon from FontAwsome, Please click', 'hasarahouse' )
									. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://fortawesome.github.io/Font-Awesome/" target="_blank">'
									. esc_html__( 'here to see the list', 'hasarahouse' ) . '</a>'
				),


				array(
					"type" => "attach_image",
					"description" => esc_html__("If you upload an image, icon will not show.", 'hasarahouse'),
					"param_name" => "image",
					"value" => '',
					'heading'	=> esc_html__('Image', 'hasarahouse' )
				),

		 

				array(
					"type" => "colorpicker",
					"heading" => esc_html__("Text Color", 'hasarahouse'),
					"param_name" => "text_color",
					'value' 	=> '',
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));


		/**************************************************
		*   Element time line 
		**************************************************/
		vc_map( array(
				'name'        => esc_html__('PBR Timeline','hasarahouse'),
				'base'        => 'pbr_timeline',
				'icon' => 'icon-wpb-widgets-11',
				"class"       => "",
				"category" => esc_html__('PBR Widgets', 'hasarahouse'),
				'description' => esc_html__('Create Item timeline with content + icon', 'hasarahouse' ),
				'params'		=> array(
					array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',
						"admin_label" => true
					),

			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Sub Title", 'hasarahouse'),
						"param_name" => "subtitle",
						"value" => '',
							"admin_label" => true
					),
					array(
						'type' => 'dropdown',
						'heading' => esc_html__('Title Alignment', 'hasarahouse' ),
						'param_name' => 'alignment',
						'value' => array(
							esc_html__('Align left', 'hasarahouse' ) => 'separator_align_left',
							esc_html__('Align center', 'hasarahouse' ) => 'separator_align_center',
							esc_html__('Align right', 'hasarahouse' ) => 'separator_align_right'
						)
					),
					
					array(
						'type' => 'param_group',
						'heading' => esc_html__('Items', 'hasarahouse' ),
						'param_name' => 'items',
						'description' => '',
						'value' => urlencode( json_encode( array(
							
						) ) ),

						'params' => array(
							array(
								'type' => 'textfield',
								'heading' => esc_html__('Title', 'hasarahouse' ),
								'param_name' => 'title',
								'admin_label' => true,
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__('Sub Title', 'hasarahouse' ),
								'param_name' => 'sub_title',
								'admin_label' => true,
							),
							array(
								'type' => 'attach_image',
								'heading' => esc_html__('Icon', 'hasarahouse' ),
								'param_name' => 'icon',
								'admin_label' => false,
							),
							array(
								'type' => 'textarea',
								'heading' => esc_html__('Content', 'hasarahouse' ),
								'param_name' => 'content',
								'admin_label' => false,
							),
						),
					),
				)
			)
		);


		/* Gallery
		***************************************************************************************************/
		vc_map( array(
		    "name" => esc_html__("PBR Gallery",'hasarahouse'),
		    "base" => "pbr_gallery",
		    'icon' => 'icon-wpb-widgets-12',
		    'description'=> esc_html__('Diplay Gallery Grid', 'hasarahouse'),
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
						"admin_label" => true
				),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Number', 'hasarahouse' ),
                'param_name' => 'number',
                'value' => '',
            ),
            array(
					"type" => "dropdown",
					"heading" => esc_html__("Columns", 'hasarahouse'),
					"param_name" => "columns",
					"value" => array(6, 4, 3, 1),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   )
		));

		vc_map( array(
		    "name" => esc_html__("PBR Gallery Masonry",'hasarahouse'),
		    "base" => "pbr_gallery_masonry",
		    'icon' => 'icon-wpb-widgets-12',
		    'description'=> esc_html__('Diplay Gallery Masonry', 'hasarahouse'),
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"admin_label" => true,
					"value" => '',
						"admin_label" => true
				),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Number slider', 'hasarahouse' ),
                'param_name' => 'number_slider',
                "value" => array(1, 2, 3),
            ),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   )
		));
		
		/* Video background
		**********************************************************************************************************************/
		vc_map( array(
	        "name" => esc_html__("PBR Video Background",'hasarahouse'),
	        "base" => "pbr_video_carousel",
	        'icon' => 'icon-wpb-widgets-13',
	        "class" => "",
	    	"category" => esc_html__('PBR Widgets','hasarahouse'),
	    	"description"	=> esc_html__( 'Display video carousel', 'hasarahouse' ),
	        "params" => array(
	        	array(
	                "type" => "textfield",
	                "class" => "",
	                "heading" => esc_html__('Title','hasarahouse'),
	                "param_name" => "title",
	            ),
            	array(
	                "type" => "textfield",
	                "class" => "",
	                "heading" => esc_html__('Sub Title','hasarahouse'),
	                "param_name" => "subtitle",
	            ),
            	array(
					'type' => 'param_group',
					'heading' => esc_html__('Carousel Items', 'hasarahouse' ),
					'param_name' => 'items',
					'description' => '',
					'value' => '',
					'params' => array(
						array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Title','hasarahouse'),
			                "param_name" => "title",
			            ),
						array(
							"type" => "attach_image",
							"heading" => esc_html__("Image", 'hasarahouse'),
							"param_name" => "image"
						),
						array(
			                "type" => "textfield",
			                "class" => "",
			                "heading" => esc_html__('Video Link','hasarahouse'),
			                "param_name" => "video_link",
			                "description" => esc_html__('Enter Youtube, Vimeo video url', 'hasarahouse')
			            ),

					),
				),
	            array(
	                "type" => "textfield",
	                "heading" => esc_html__("Extra class name", 'hasarahouse'),
	                "param_name" => "el_class",
	                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
	            )
        	)
	    ));
	}
}