<?php 

class Hasarahouse_VC_Theme implements Vc_Vendor_Interface {

	public function load(){
		/*********************************************************************************************************************
		 *  Vertical menu
		 *********************************************************************************************************************/
		$option_menu  = array(); 
		if( is_admin() ){
			$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
		    $option_menu = array('---Select Menu---'=>'');
		    foreach ($menus as $menu) {
		    	$option_menu[$menu->name]=$menu->term_id;
		    }
		}    
		vc_map( array(
		    "name" => esc_html__("PBR Quick Links Menu",'hasarahouse'),
		    "base" => "pbr_quicklinksmenu",
		    'icon' => 'icon-wpb-widgets-1',
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    'description'	=> esc_html__( 'Show Quick Links To Access', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => 'Quick To Go'
				),
		    	array(
					"type" => "dropdown",
					"heading" => esc_html__("Menu", 'hasarahouse'),
					"param_name" => "menu",
					"value" => $option_menu,
					"description" => esc_html__("Select menu.", 'hasarahouse')
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));
		 
		

		/*********************************************************************************************************************
		 *  Vertical menu
		 *********************************************************************************************************************/
	 
		vc_map( array(
		    "name" => esc_html__("PBR Vertical MegaMenu",'hasarahouse'),
		    "base" => "pbr_verticalmenu",
		    'icon' => 'icon-wpb-widgets-2',
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(

		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => 'Vertical Menu',
					"admin_label"	=> true
				),

		    	array(
					"type" => "dropdown",
					"heading" => esc_html__("Menu", 'hasarahouse'),
					"param_name" => "menu",
					"value" => $option_menu,
					"description" => esc_html__("Select menu.", 'hasarahouse')
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Position", 'hasarahouse'),
					"param_name" => "postion",
					"value" => array(
							'left'=>'left',
							'right'=>'right'
						),
					'std' => 'left',
					"description" => esc_html__("Postion Menu Vertical.", 'hasarahouse')
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));
		 
		vc_map( array(
		    "name" => esc_html__("Fixed Show Vertical Menu ",'hasarahouse'),
		    "base" => "pbr_verticalmenu_show",
		    'icon' => 'icon-wpb-widgets-3',
		    "class" => "",
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "description" => esc_html__( 'Always showing vertical menu on top', 'hasarahouse' ),
		    "params" => array(
		  
				array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"description" => esc_html__("When enabled vertical megamenu widget on main navition and its menu content will be showed by this module. This module will work with header:Martket, Market-V2, Market-V3" , 'hasarahouse')
				)
		   	)
		));
	 

		/******************************
		 * Our Team
		 ******************************/
		vc_map( array(
		    "name" => esc_html__("PBR Our Team Grid Style",'hasarahouse'),
		    "base" => "pbr_team",
		    'icon' => 'icon-wpb-widgets-4',
		    "class" => "",
		    "description" => 'Show Personal Profile Info',
		    "category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',
						"admin_label" => true
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__("Photo", 'hasarahouse'),
					"param_name" => "photo",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Job", 'hasarahouse'),
					"param_name" => "job",
					"value" => 'CEO',
					'description'	=>  ''
				),

				array(
					"type" => "textarea",
					"heading" => esc_html__("information", 'hasarahouse'),
					"param_name" => "information",
					"value" => '',
					'description'	=> esc_html__('Allow  put html tags', 'hasarahouse')
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Phone", 'hasarahouse'),
					"param_name" => "phone",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Google Plus", 'hasarahouse'),
					"param_name" => "google",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Facebook", 'hasarahouse'),
					"param_name" => "facebook",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Twitter", 'hasarahouse'),
					"param_name" => "twitter",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Pinterest", 'hasarahouse'),
					"param_name" => "pinterest",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Linked In", 'hasarahouse'),
					"param_name" => "linkedin",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'hasarahouse'),
					"param_name" => "style",
					'value' 	=> array( 'circle' => esc_html__('circle', 'hasarahouse'), 'vertical' => esc_html__('vertical', 'hasarahouse') , 'horizontal' => esc_html__('horizontal', 'hasarahouse') ),
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)
		   	)
		));
	 
		/******************************
		 * Our Team
		 ******************************/
		vc_map( array(
			"name" => esc_html__("PBR Our Team List Style",'hasarahouse'),
			"base" => "pbr_team_list",
			'icon' => 'icon-wpb-widgets-5',
			"class" => "",
			"description" => esc_html__('Show Info In List Style', 'hasarahouse'),
			"category" => esc_html__('PBR Widgets', 'hasarahouse'),
		    "params" => array(
		    	array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'hasarahouse'),
					"param_name" => "title",
					"value" => '',
						"admin_label" => true
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__("Photo", 'hasarahouse'),
					"param_name" => "photo",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Phone", 'hasarahouse'),
					"param_name" => "phone",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Job", 'hasarahouse'),
					"param_name" => "job",
					"value" => 'CEO',
					'description'	=>  ''
				),
				array(
					"type" => "textarea_html",
					"heading" => esc_html__("Information", 'hasarahouse'),
					"param_name" => "content",
					"value" => '',
					'description'	=> esc_html__('Allow  put html tags', 'hasarahouse')
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__("Blockquote", 'hasarahouse'),
					"param_name" => "blockquote",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Email", 'hasarahouse'),
					"param_name" => "email",
					"value" => '',
					'description'	=> ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Facebook", 'hasarahouse'),
					"param_name" => "facebook",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Twitter", 'hasarahouse'),
					"param_name" => "twitter",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "textfield",
					"heading" => esc_html__("Linked In", 'hasarahouse'),
					"param_name" => "linkedin",
					"value" => '',
					'description'	=> ''
				),

				array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'hasarahouse'),
					"param_name" => "style",
					'value' 	=> array( 'circle' => esc_html__('circle', 'hasarahouse'), 'vertical' => esc_html__('vertical', 'hasarahouse') , 'horizontal' => esc_html__('horizontal', 'hasarahouse') ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Extra class name", 'hasarahouse'),
					"param_name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'hasarahouse')
				)

		   	)
		));
	 
		
	 

		/* Heading Text Block
		---------------------------------------------------------- */
		vc_map( array(
			'name'        => esc_html__( 'PBR Widget Heading','hasarahouse'),
			'base'        => 'pbr_title_heading',
			'icon' => 'icon-wpb-widgets-6',
			"class"       => "",
			"category" => esc_html__('PBR Widgets', 'hasarahouse'),
			'description' => esc_html__( 'Create title for one Widget', 'hasarahouse' ),
			"params"      => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'hasarahouse' ),
					'param_name' => 'title',
					'value'       => esc_html__( 'Title', 'hasarahouse' ),
					'description' => esc_html__( 'Enter heading title.', 'hasarahouse' ),
					"admin_label" => true
				),
				array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Title Color', 'hasarahouse' ),
				    'param_name' => 'font_color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' )
				),
				 
				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'hasarahouse' ),
					"param_name" => "descript",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'hasarahouse' )
			    ),
			    array(
					"type" => "dropdown",
					"heading" => esc_html__("Style", 'hasarahouse'),
					"param_name" => "style",
					'value' 	=> array( 'default' => esc_html__('default', 'hasarahouse'), 'style-2' => esc_html__('style-2', 'hasarahouse'), 'style-3' => esc_html__('style-3', 'hasarahouse'), 'style-4' => esc_html__('style-4', 'hasarahouse') ),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'hasarahouse' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'hasarahouse' )
				)
			),
		));
		
		/* Banner CountDown
		---------------------------------------------------------- */
		vc_map( array(
			'name'        => esc_html__( 'PBR Banner CountDown','hasarahouse'),
			'base'        => 'pbr_banner_countdown',
			'icon' => 'icon-wpb-widgets-7',
			"class"       => "",
			"category" => esc_html__('PBR Widgets', 'hasarahouse'),
			'description' => esc_html__( 'Show CountDown with banner', 'hasarahouse' ),
			"params"      => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'hasarahouse' ),
					'param_name' => 'title',
					'value'       => esc_html__( 'Title', 'hasarahouse' ),
					'description' => esc_html__( 'Enter heading title.', 'hasarahouse' ),
					"admin_label" => true
				),


				array(
					"type" => "attach_image",
					"description" => esc_html__("If you upload an image, icon will not show.", 'hasarahouse'),
					"param_name" => "image",
					"value" => '',
					'heading'	=> esc_html__('Image', 'hasarahouse' )
				),


				array(
				    'type' => 'textfield',
				    'heading' => esc_html__( 'Date Expired', 'hasarahouse' ),
				    'param_name' => 'input_datetime',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' ),
				),
				 

				array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Title Color', 'hasarahouse' ),
				    'param_name' => 'font_color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' ),
				    'class'	=> 'hacongtien'
				),
				 
				array(
					"type" => "textarea",
					'heading' => esc_html__( 'Description', 'hasarahouse' ),
					"param_name" => "descript",
					"value" => '',
					'description' => esc_html__( 'Enter description for title.', 'hasarahouse' )
			    ),

			    array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Description Color', 'hasarahouse' ),
				    'param_name' => 'description_font_color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' ),
				    'class'	=> 'hacongtien'
				),

				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'hasarahouse' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'hasarahouse' )
				),


				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Text Link', 'hasarahouse' ),
					'param_name' => 'text_link',
					'value'		 => 'Find Out More',
					'description' => esc_html__( 'Enter your link text', 'hasarahouse' )
				),

				array(
				    'type' => 'colorpicker',
				    'heading' => esc_html__( 'Link Color', 'hasarahouse' ),
				    'param_name' => 'link_font_color',
				    'description' => esc_html__( 'Select font color', 'hasarahouse' ),
				    'class'	=> 'hacongtien'
				),
				
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Link', 'hasarahouse' ),
					'param_name' => 'link',
					'value'		 => 'http://',
					'description' => esc_html__( 'Enter your link to redirect', 'hasarahouse' )
				)
			),
		));


	}
}