<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $hasarahouse_page_layouts; 
$hasarahouse_page_layouts = apply_filters( 'hasarahouse_fnc_get_archive_property_sidebar_configs', null );

get_header( apply_filters( 'hasarahouse_fnc_get_header_layout', null ) ); ?>
<?php do_action( 'hasarahouse_template_main_before' ); ?>
	<section id="main-container" class="site-main container" role="main">
		

		<?php if( isset($hasarahouse_page_layouts['sidebars']) && !empty($hasarahouse_page_layouts['sidebars']) ) : ?>
			<?php get_sidebar(); ?>
		<?php endif; ?>

		<main id="primary" class="content content-area col-xs-12 <?php echo esc_attr($hasarahouse_page_layouts['main']['class']); ?>">
			<?php if ( have_posts() ) : ?>
				<header class="page-header">
					<?php
						the_archive_title( '<h1 class="page-title hide">', '</h1>' );
						the_archive_description( '<div class="taxonomy-description">', '</div>' );
					?>
				</header><!-- .page-header -->
				<div class="opalesate-archive-top">
						<?php echo Opalestate_Template_Loader::get_template_part( 'collection-navigator', array('mode'=>'list' ) ); ?>
					</div>	

				<div class="opaleslate-archive-container">

					<div class="opalesate-archive-bottom opalestate-rows">
						<div class="<?php echo apply_filters('opalestate_row_container_class', 'row opal-row');?>">
							<?php if ( (isset($_COOKIE['opalestate_displaymode']) && $_COOKIE['opalestate_displaymode'] == 'list') || (!isset($_COOKIE['opalestate_displaymode']) && opalestate_options('displaymode', 'grid') == 'list') ):?>
								<?php while ( have_posts() ) : the_post(); ?>
									<div class="col-lg-12 col-md-12 col-sm-12">
				                    	<?php echo Opalestate_Template_Loader::get_template_part( 'content-property-list' ); ?>
				                	</div>
				                <?php endwhile; ?>
							<?php else : ?>
								<?php 
								$column = apply_filters('opalestate_properties_column_row', 3 ); 
								$clscol = floor(12/$column);
								$cnt = 0;
								while ( have_posts() ) : the_post(); 
								$cls = '';
								if( $cnt++%$column==0 ){
									$cls .= ' first-child';
								}
								?>
									<div class="<?php echo esc_attr($cls); ?> col-lg-<?php echo esc_attr($clscol); ?> col-md-<?php echo esc_attr($clscol); ?> col-sm-6">
				                    	<?php echo Opalestate_Template_Loader::get_template_part( 'content-property-grid' ); ?>
				                	</div>
								<?php endwhile; ?>
							<?php endif; ?>
						</div>
					</div>

				</div>
				<?php the_posts_pagination( array(
					'prev_text'          => __( 'Previous page', 'hasarahouse' ),
					'next_text'          => __( 'Next page', 'hasarahouse' ),
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'hasarahouse' ) . ' </span>',
				) ); ?>
				
			<?php else : ?>
				<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>

		</main><!-- .site-main -->
	</section><!-- .content-area -->


<?php get_footer(); ?>
