<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$property = opalesetate_property( get_the_ID() );

global $property, $post;

$meta   = $property->get_meta_shortinfo();

 
?>
<article itemscope itemtype="http://schema.org/Property" <?php post_class(); ?>><div class="property-list-style">

	<div class="<?php echo apply_filters('opalestate_row_container_class', 'row opal-row');?>">
		<div class="property-action">
			<?php if( $property->featured != 1 ): ?>
		 	<a href="#" class="btn btn-warning btn-toggle-featured" data-property-id="<?php echo  get_the_ID() ?>" data-toggle="tooltip" data-placement="top"><i class="fa fa-star"></i></a>
		 	<?php endif; ?>

		 	<a href="<?php echo opalestate_submssion_page( get_the_ID() )?>" class="btn btn-info" data-toggle="tooltip" data-placement="top"><i class="fa fa-edit"></i></a>

		 	
		 	<?php
            /* Delete Post Link Bypassing Trash */
            if ( current_user_can('delete_posts') ) {
                $delete_post_link = get_delete_post_link( $post->ID, '', true );
            if(!empty($delete_post_link)){
            ?>
                <a onclick="return confirm('<?php esc_html_e( 'Are you sure you wish to delete?', 'hasarahouse' ); ?>')" href="<?php echo esc_url( $delete_post_link ); ?>" class="btn btn-danger" data-toggle="tooltip" data-placement="top">
                	<i class="fa fa-close"></i>
                </a>
            <?php
                }
            }?>

		</div>	
		<div class="property-box-image">
			<div class="property-group-label">
				<?php do_action( 'opalestate_before_property_loop_item' ); ?>
				<?php if( $property->featured != 1 ): ?>
					<div class="property-toggle-featured hide" data-id="property-toggle-featured-<?php echo get_the_ID();?>">
						<span class="label-featured label label-success"><?php esc_html_e( 'Featured', 'hasarahouse' ); ?></span>
					</div>
				<?php endif; ?>
			</div>
			<div class="zoom-2">
				<?php opalestate_get_loop_thumbnail( opalestate_get_option('loop_image_size','large') ); ?>
			</div>
			<?php echo trim($property->render_statuses()); ?>
			<div class="my-properties-bottom">
				<span class="label-post-status label <?php if( $post->post_status == 'pending' ): ?> label-danger <?php else : ?> label-info <?php endif ; ?>"> <?php echo get_post_status( get_the_ID() ) ?> </span>
			</div>						
		</div>
		<div class="entry-content">
			<div class="entry-summary">
				<i class="fa fa-map-marker"></i> <?php echo esc_attr($property->get_address()); ?>
			</div>	
			<?php opalestate_property_loop_price(); ?>
			<?php the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' ); ?>	
			<?php opalestate_get_loop_short_meta(); ?>		
		</div>		
	</div>	

	<?php // do_action( 'opalestate_after_property_loop_item' ); ?>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />

</div></article><!-- #post-## -->
